## Class parser

zeep::http::parser — An HTTP message parser with support for Transfer-Encoding: Chunked.

## Synopsis

    // In header: <zeep/http/message-parser.hpp>

    class parser {
    public:
      // construct/copy/destruct
      parser();
      ~parser();

      // public member functions
      virtual void reset();
      boost::tribool parse_header_lines(char);
      boost::tribool parse_chunk(char);
      boost::tribool parse_footer(char);
      boost::tribool parse_content(char);
    };

## Description

### `parser` public construct/copy/destruct

1.     parser();

2.     ~parser();

### `parser` public member functions

1.     virtual void reset();

2.     boost::tribool parse_header_lines(char ch);

3.     boost::tribool parse_chunk(char ch);

4.     boost::tribool parse_footer(char ch);

5.     boost::tribool parse_content(char ch);